org.springframework.remoting.rmi

## Interface RmiInvocationHandler

All Superinterfaces:
  Remote

    public interface RmiInvocationHandler
    extends Remote

Interface for RMI invocation handlers instances on the server, wrapping exported services. A client uses a stub implementing this interface to access such a service.

This is an SPI interface, not to be used directly by applications.

Since:
  14.05.2003
Author:
  Juergen Hoeller

### Method Summary

Methods
`String` `getTargetInterfaceName()` Return the name of the target interface that this invoker operates on.
`Object` `invoke(RemoteInvocation invocation)` Apply the given invocation to the target object.

### Method Detail

#### getTargetInterfaceName

    String getTargetInterfaceName()
                                  throws RemoteException

Return the name of the target interface that this invoker operates on.

Returns:
  the name of the target interface, or `null` if none
Throws:
  `RemoteException` - in case of communication errors
See Also:
  `RemoteExporter.getServiceInterface()`

#### invoke

    Object invoke(RemoteInvocation invocation)
                  throws RemoteException,
                         NoSuchMethodException,
                         IllegalAccessException,
                         InvocationTargetException

Apply the given invocation to the target object.

Called by `RmiClientInterceptor.doInvoke(org.aopalliance.intercept.MethodInvocation, RmiInvocationHandler)`.

Parameters:
  `invocation` - object that encapsulates invocation parameters
Returns:
  the object returned from the invoked method, if any
Throws:
  `RemoteException` - in case of communication errors
  `NoSuchMethodException` - if the method name could not be resolved
  `IllegalAccessException` - if the method could not be accessed
  `InvocationTargetException` - if the method invocation resulted in an exception